Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156192 - text in tabs and statusbar not fully displayed in Persian locale
Summary: text in tabs and statusbar not fully displayed in Persian locale
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gedit
Version: 4
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-28 11:59 UTC by Farzaneh Sarafraz
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-11-27 04:04:53 UTC


Attachments (Terms of Use)
a screenshot demonstrating the problem (deleted)
2005-05-02 08:53 UTC, Farzaneh Sarafraz
no flags Details

Description Farzaneh Sarafraz 2005-04-28 11:59:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-2 Firefox/1.0.3

Description of problem:
When gedit is run in Persian Locale, the name of the files in tabs are not fully displayed. The frame is too small to contain all the text, whatever it is.
The Statusbar also hides most of the text it should display, i.e. line and column number, INSERT/OVERWRITE mode, or description of the action to be made through the menus. It only displays a small part of the column number when the number gets big. Again, the frame is either too small or misplaced.

Version-Release number of selected component (if applicable):
gedit-2.10.2-3

How reproducible:
Always

Steps to Reproduce:
1. run LANG=fa_IR gedit


Actual Results:  The text in "Unsaved Document 1" shows part of the text only.
statusbar doesn't display anything. the text must be misplaced.


Expected Results:  The tab should have displayed "Unsaved Document 1" in persian, and the statusbar must hve shown Line 1 Column 1 INS

Additional info:

I feel that this bug is not limited to gedit and other components of gnome have the same problem in Persian Locale.

Comment 1 Farzaneh Sarafraz 2005-05-02 08:53:44 UTC
Created attachment 113918 [details]
a screenshot demonstrating the problem

Comment 2 Roozbeh Pournader 2006-01-31 19:01:02 UTC
Filed as two upstream bugs:
http://bugzilla.gnome.org/show_bug.cgi?id=322042
http://bugzilla.gnome.org/show_bug.cgi?id=329099


Comment 3 Matthias Clasen 2006-11-27 04:04:53 UTC
Ok, lets track this upstream then.


Note You need to log in before you can comment on or make changes to this bug.